Yum update - broken dependencies

Dear Community

I use the FreePBX Distro as a replacement for my old Asterisk 1.2 core installation

Im a debian Guy and its my first steps with CentOS.

For the Asterisk Modules i use the FreePBX Module Manager. But for the System Updates I used two or three times yum update. Now i have broken independencies.

in the /etc/yum.conf I added the entry
exclude=freepbx*
so it not upgrade the freepbx packages …

yum update

Loaded plugins: fastestmirror, kmod
Loading mirror speeds from cached hostfile

  • epel: ftp.upjs.sk
    Setting up Update Process
    Resolving Dependencies
    –> Running transaction check
    —> Package apcupsd.x86_64 0:3.14.10-1.el6.rf will be updated
    —> Package apcupsd.x86_64 0:3.14.10-2.el6 will be an update
    …< cut >
    …< /cut >
    —> Package libresample.x86_64 0:0.1.3-11_centos6 will be updated
    –> Processing Dependency: libresample.so.1.0()(64bit) for package: asterisk11-core-11.14.2-1.shmz65.1.41.x86_64
    —> Package net-snmp-libs.x86_64 1:5.5-49.el6_5.4 will be installed
    —> Package pkcs11-helper.x86_64 0:1.11-3.el6 will be installed
    —> Package python-inotify.noarch 0:0.9.1-1.el6 will be installed
    –> Finished Dependency Resolution
    Error: Package: asterisk11-core-11.14.2-1.shmz65.1.41.x86_64 (pbx)
    Requires: libresample.so.1.0()(64bit)
    Removing: libresample-0.1.3-11_centos6.x86_64 (@anaconda-PBX-201403180405.x86_64/6.5)
    libresample.so.1.0()(64bit)
    Updated By: libresample-0.1.3-12.el6.x86_64 (epel)
    Not found
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest

how I can fix that? I not found a solution for that problem here in the forum or im to stupid to find it … :-/

skip-broken or the other rpm hint are not useful

Thanks for some assistance or hints …

kind regards
Manuel

Why would you do that?

Because the FreePBX Packages are updated by the FreePBX Update Manager.

This Entry in the yum.conf has nothing to do with the problem … I can remove it and I have the same problem …

remove entry
yum clean all
yum update
… same …

I have this entry from the asteriskNOW Distribution …

I thought you said you had a FreePBX Distro system. Now you are saying you have AsteriskNOW?

I have the newest FreeBPX Distro.

–> Finished Dependency Resolution
Error: Package: asterisk11-core-11.13.1-1.shmz65.1.33.x86_64 (@pbx1)
Requires: libresample.so.1.0()(64bit)
Removing: libresample-0.1.3-11_centos6.x86_64 (@anaconda-PBX-20140318 0405.x86_64/6.5)
libresample.so.1.0()(64bit)
Updated By: libresample-0.1.3-12.el6.x86_64 (epel)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest